/*
 * mysc.h
 *
 * By Ross Ridge
 * Public Domain
 *
 * Master include file for MySC.
 *
 * @(#) MySC mysc.h 1.10 98/01/27 05:48:59
 *
 */

#ifndef __MYSC_H__
#define __MYSC_H__

#undef TESTING

#include "config.h"
#include "defaults.h"

#ifdef CONFIG_INCLUDE_SYS_TYPES_H
#include <sys/types.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include <stddef.h>
#include <string.h>
#include <errno.h>
#include <locale.h>

#ifdef CONFIG_DECLARE_ERRNO
extern int errno;
#endif

#ifdef __GNUC__
#undef NULL
#define NULL 0
#endif

#include "msgdb.h"

#include "quit.h"
#include "xalloc.h"
#include "mystring.h"
#include "file.h"

typedef unsigned short seq_no;

int split(char *s, char **args, int len, char c);
string prompt_user(char const *prompt);

#endif /* __MYSC_H__ */

/* Local variables: */
/* mode: c++ */
/* End: */
